#include <GUIConstants.au3>
#include <GUIConstantsEx.au3>
#include <WindowsConstants.au3>
Opt('GUIOnEventMode', 1)

;~ +++++++ +++++++ +++++++ +++++++ +++++++ +++++++ +++++++

Global Const $pfad_1 = 'Button_1.jpg'
Global Const $pfad_2 = 'Button_2.jpg'
Global Const $pfad_3 = 'Button_3.jpg'
Global $state_pic_1 = True
Global $state_pic_2 = False
Global $state_pic_3 = False
Global $mouse


Global Const $GUI = GUICreate('Beispiel', 120, 40, Default, Default, $WS_CAPTION + $WS_SYSMENU)
Global Const $pic_1 = GUICtrlCreatePic($pfad_1, 10, 10, 100, 20)
Global Const $pic_2 = GUICtrlCreatePic($pfad_2, 10, 10, 100, 20)
Global Const $pic_3 = GUICtrlCreatePic($pfad_3, 10, 10, 100, 20)
GUICtrlSetState($pic_2, $GUI_HIDE)
GUICtrlSetState($pic_3, $GUI_HIDE)
GUISetOnEvent($GUI_EVENT_CLOSE, '_Exit', $GUI)
GUISetState(@SW_SHOW, $GUI)

;~ +++++++ +++++++ +++++++ +++++++ +++++++ +++++++ +++++++

While Sleep(10)
	$mouse = GUIGetCursorInfo($GUI)
	If $state_pic_1 And $mouse[4] = $pic_1 Then
		_Create_Button(2)
	ElseIf $state_pic_2 And $mouse[4] <> $pic_2 Then
		_Create_Button(1)
	ElseIf $state_pic_3 And $mouse[2] = False Then
		_Create_Button(1)
		_Click(2)
	ElseIf $state_pic_3 = False And $mouse[4] = $pic_2 And $mouse[2] Then
		_Create_Button(3)
		_Click(1)
	EndIf
WEnd

;~ +++++++ +++++++ +++++++ +++++++ +++++++ +++++++ +++++++

Func _Create_Button($Button)
	Switch $Button
		Case 1
			GUICtrlSetState($pic_3, $GUI_HIDE)
			GUICtrlSetState($pic_2, $GUI_HIDE)
			GUICtrlSetState($pic_1, $GUI_SHOW)
			$state_pic_3 = False
			$state_pic_2 = False
			$state_pic_1 = True
		Case 2
			GUICtrlSetState($pic_1, $GUI_HIDE)
			GUICtrlSetState($pic_3, $GUI_HIDE)
			GUICtrlSetState($pic_2, $GUI_SHOW)
			$state_pic_1 = False
			$state_pic_3 = False
			$state_pic_2 = True
		Case 3
			GUICtrlSetState($pic_1, $GUI_HIDE)
			GUICtrlSetState($pic_2, $GUI_HIDE)
			GUICtrlSetState($pic_3, $GUI_SHOW)
			$state_pic_1 = False
			$state_pic_2 = False
			$state_pic_3 = True
	EndSwitch
EndFunc   ;==>_Create_Button

Func _Exit()
	Exit
EndFunc   ;==>_Exit

Func _Click($Button)
	Switch $Button
		Case 1
			ConsoleWrite('Click down | ' & @SEC & @CRLF)
		Case 2
			ConsoleWrite('Click up | ' & @SEC & @CRLF)
	EndSwitch
EndFunc   ;==>_Click